org.richfaces.renderkit.html

## Class ClientAndAjaxScript

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSFunctionDefinition
    - - org.richfaces.renderkit.html.ValidatorScriptBase
      - - org.richfaces.renderkit.html.ClientOnlyScript
        - - org.richfaces.renderkit.html.ClientAndAjaxScript

- All Implemented Interfaces:
    org.ajax4jsf.javascript.FunctionDefWithDependencies, org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, ComponentValidatorScript, org.richfaces.resource.ResourceLibrary

      public class ClientAndAjaxScript
      extends ClientOnlyScript

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.ClientOnlyScript

      `converter, CSV_RESOURCE, oninvalid, onvalid, validators`

    - ### Fields inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `AJAX, AJAX_REF, CLIENT_ID, CLIENT_ID_REF, CONVERTER, CONVERTER_REF, CSV_NAMESPACE, DISABLE_AJAX, DISABLE_AJAX_REF, ELEMENT, ELEMENT_REF, EOL, EVENT, EVENT_REF, GET_VALUE_FUNCTION, MESSAGE, MESSAGE_REF, NULL_CONVERTER_SCRIPT, PARAMS, PARAMS_REF, SOURCE_ID, SOURCE_ID_REF, VALIDATE_FUNCTION, VALIDATE_FUNCTION_NAME, VALIDATORS, VALIDATORS_REF, VALUE_FUNCTION_NAME`

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAndAjaxScript(LibraryScriptFunction clientSideConverterScript, Collection<? extends LibraryScriptFunction> validatorScripts, String ajaxScript, String onvalid, String oninvalid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendAjaxParameter(Appendable target)`
    `boolean` | `equals(Object obj)`
    `Iterable<org.richfaces.resource.ResourceKey>` | `getResources()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.richfaces.renderkit.html.ClientOnlyScript

      `appendConverter, appendFunctionName, appendParameters, appendValidator`

    - ### Methods inherited from class org.richfaces.renderkit.html.ValidatorScriptBase

      `appendAjaxFunction, appendAjaxParameter, appendBody, appendValidatorCall, createCallScript`

    - ### Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition

      `addParameter, addToBody, appendScript, getName, setName`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies

      `getName`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScript, appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### ClientAndAjaxScript

          public ClientAndAjaxScript(LibraryScriptFunction clientSideConverterScript,
                             Collection<? extends LibraryScriptFunction> validatorScripts,
                             String ajaxScript,
                             String onvalid,
                             String oninvalid)

  - ### Method Detail

    - #### getResources

          public Iterable<org.richfaces.resource.ResourceKey> getResources()

      Specified by:
        `getResources` in interface `org.richfaces.resource.ResourceLibrary`
      Overrides:
        `getResources` in class `ClientOnlyScript`

    - #### appendAjaxParameter

          protected void appendAjaxParameter(Appendable target)
                                      throws IOException

      Overrides:
        `appendAjaxParameter` in class `ClientOnlyScript`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ClientOnlyScript`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ClientOnlyScript`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.